#include <iostream>
#include <string_view>
#include <vector>

void show(std::string_view sv) {
	std::cout << "size: " << sv.size() << " \"" << sv << "\"\n";
}

int main() {
	show({});
	show("string literal");
	show({ "string literal", 10 });
	char c = 'X';
	show({ &c, 1 });

	std::vector<char> vec = { 'H', 'e', 'l', 'l', 'o' };
	show({ vec.begin(), vec.end() });
}
